Subject: Re: Huge CRLs

From: "Kelly D. Lucas" <[email-masked]>
Date: Wed, 06 Oct 1999 17:46:00 -0700

I think that ValiCert is addressing this problem, with their Global
Validation Authority Service.  It's currently in beta, and will bet
out soon.  Basically, they are acting as a consolidation point for
CA's, and Enterprises that run their own CA's, and then they are
sending this info to all subscribed.

Check out:

http://www.valicert.com/products/

and then look at the ValiCert Global VA Service.

kdl

Ed Gerck wrote:
> 
> Stephen Kent wrote:
> 
> > >Revocation is one of the most critical problems that must be addressed and
> > >tons of smart people are working on it.  Some of my team/partners/members are
> > >spending nearly all of their time trying to make revocation work the way we
> > >need it to work.   The financial services sector is providing significant
> > >input on requirements, technology, and resources to try to make PKI work for
> > >us.
> > >
> > >No offense intended, but the nature of our businesses and the limitations of
> > >the technology do not lend themselves to the use of CRLs.  The how and why
> > >will have to wait for a later message (tonight).
> >
> > Not all the world is the financial services sector.  Criticisms of CRL use
> > models based primarily on difficulties encountered in employing them in
> > that environment, or based on poor implementations, or based on poor
> > management parameter choices, etc.  do not necessarily mean that CRLs are
> > unworkable.
> 
> CRLs, which were first thought to be a positive aspect of relying on CAs
> as compared to PGP for instance, presents several unsolvable problems.
> 
> For example, there may be a considerable delay (no warranties can be
> found on on CAs contracts about upper limits for such delays) between the
> actual need to revoke a certificate and the reflection of this need in a
> certificate chain with different CAs.
> 
> Also, requiring the user to check with a CA before sending a message
> makes the use of multiple CAs much more difficult, unless they can be
> convinced to work together, an interesting problem for competing
> businesses.  Constant checking with a single CA also makes traffic
> analysis much easier. Even if the attacker cannot intercept the
> message which is sent, if the attacker can monitor the central CA
> (with a single administrative order and a GAKware system to circumvent
> any encryption), everyone's communication patterns can be seen.
> Also, an attacker can fool a CA into revoking a key -- a denial of service
> attack.
> 
> Further, the major X.509 security application today, SSL, does not
> check revocation lists -- so they are near to useless. Also, the user is
> not able to check server certificates (and certificates in the CA chains)
> against revocation lists.
> 
> An examplary case regarding  CRLs, is that they are a will to revoke but
> not an actual revocation. Few recognize that CRLS are a solution to a
> non-existent problem ... while the real problem is left utterly unsolved. The
> non-existent problem solved by CRLs is how to communicate that a
> certificate is no longer valid ... because if a certificate were really no
> longer valid (as it should be) then no one would need to find a CRL
> to know about it.
> 
> Cheers,
> 
> Ed Gerck
> ______________________________________________________________________
> Dr.rer.nat. E. Gerck                                    [email-masked]
> 
> +-------------------------------------------------------------+
> + For information about the cert-talk mailing list, including +
> + archives and how to subscribe and unsubscribe, visit:       +
> +          http://www.structuredarts.com/cert-talk            +
> +-------------------------------------------------------------+

-- 
Kelly D. Lucas            |  Kroll-O'Gara
Security Consultant       |  Information Security Group
[email-masked]          |  650-812-9400 x 117
"Any opinions that I state are my own, and not Kroll-O'Gara's"